# vim: set ft=spec: -*- rpm-spec -*-
# $Id$

%def_disable static
%def_with largefile

Name: zziplib
Version: 0.13.38
Release: alt1

Summary: Lightweight library to easily extract data from zip files
Group: System/Libraries
License: LGPL

URL: http://zziplib.sourceforge.net/
Source: http://dl.sf.net/zziplib/zziplib-%version.tar.bz2

# Automatically added by buildreq on Mon May 16 2005
BuildRequires: gcc-c++ libSDL-devel libstdc++-devel pkgconfig python-base python-modules-compiler python-modules-encodings xmlto zip zlib-devel

%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

%package devel
Summary: Header files needed to develop programs using zziplib
Group: Development/C
Requires: %name = %version-%release
Requires: pkgconfig >= 0.9.0

%description devel
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

This package contains header files needed to develop programs using
zziplib.

%if_enabled static
%package devel-static
Summary: Static version of zziplib
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

This package contains static version of zziplib.
%endif

%package utils
Summary: ZZipLib utilites
Group: Archiving/Compression
Requires: %name = %version-%release

%description utils
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

This package contains some useful ZZipLib utilites.

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure --enable-sdl \
	%{subst_with largefile} \
	%{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%doc ChangeLog README TODO
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*.m4
%_datadir/zziplib
%_includedir/*

%if_enabled static
%files devel-static
%_libdir/lib*.a
%endif

%files utils
%_bindir/*

%changelog
* Mon May 16 2005 Victor Forsyuk <force@altlinux.ru> 0.13.38-alt1
- Author suggests not to use unmaintained and deep frozen 0.10.x anymore.
  So we switch to developer branch - 0.13.
- Add URL.
- Enable build with SDL.
- Update buildreqs.

* Thu May 06 2004 Sir Raorn <raorn@altlinux.ru> 0.10.82-alt1
- Built for Sisyphus
